org.eclipse.emf.facet.widgets.celleditors

## Interface IValidator

    public interface IValidator

Used to validate the value of a cell editor.

### Method Summary

All Methods Instance Methods Abstract Methods
`IStatus` `validate(java.lang.Object value)` Validates the given value for the cell editor.

### Method Detail

#### validate

    IStatus validate(java.lang.Object value)

Validates the given value for the cell editor.

Returns:
  an `IStatus` with a status of `IStatus#OK` if the given value is valid, or with a status of `IStatus#ERROR` otherwise.